Page MenuHomePhabricator

Pre-upload thumbnail shows spinner, never finishes on Windows 8 Consumer Preview / IE 10
Closed, ResolvedPublic

Description

IE 10 *should* implement the necessary interfaces for this preview thumbnail, but it's not working.

On special;upload

Pick a .png file etc and see the preview area open up with a spinner. Never gets filled in with a final image.


Version: 1.20.x
Severity: normal

Details

Reference
bz35870

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 12:11 AM
bzimport set Reference to bz35870.
brion created this task.Apr 10 2012, 11:18 PM
brion added a comment.Apr 13 2012, 9:20 PM

In JS console:

SCRIPT438: Object doesn't support property or method 'readAsBinaryString'
load.php, line 57 character 397

ho-ho, suspicious...

brion added a comment.Apr 13 2012, 9:57 PM

https://gerrit.wikimedia.org/r/4924 works around this for Special:Upload by
using readAsArrayBuffer and converting the buffer to a binary string (which the
jpeg metadata library wants).

Better fix would be to update the metadata library to accept array buffers as
well.

Also needs fixing in UploadWizard.

Merged by Kaldari, tested and verified, resolving as fixed.

Gilles moved this task from Untriaged to Done on the Multimedia board.Dec 4 2014, 10:59 AM